#!/bin/sh
echo "==========================================================="
echo "  grub に framebuffer設定, i915 driver無効化設定を追記する  "
echo "==========================================================="
sudo sed -i 's/GRUB_CMDLINE_LINUX=\"\"/GRUB_CMDLINE_LINUX=\"i915.fastboot=1 video=efifb fbcon=rotate:1\"/g' /etc/default/grub
sudo update-grub

echo "==========================================================="
echo "  broadcom WiFi driver patch                               "
echo "==========================================================="
if [ ! -e /lib/firmware/brcm/brcmfmac4356-pcie.txt ]; then
	sudo cp brcmfmac4356-pcie.txt /lib/firmware/brcm/
fi
sudo modprobe -r brcmfmac
sudo modprobe brcmfmac

