#!/bin/sh

echo "==========================================================="
echo "  GPU driver 関連の設定                                    "
echo "==========================================================="
sudo apt install i965-va-driver
sudo apt install ttf-ancient-fonts
if [ ! -e /etc/X11/Xsession.d/20-intel.conf ]; then
	sudo cp 20-intel.conf /etc/X11/Xsession.d/
fi

if [ ! -e intel-graphics-update-tool_2.0.4_amd64.deb ]; then
	wget https://download.01.org/gfx/ubuntu/16.10/main/pool/main/i/intel-graphics-update-tool/intel-graphics-update-tool_2.0.4_amd64.deb
fi
if [ ! -e RPM-GPG-GROUP-KEY-ilg ]; then
	wget --no-check-certificate https://download.01.org/gfx/RPM-GPG-GROUP-KEY-ilg
fi
sudo apt-key add RPM-GPG-GROUP-KEY-ilg
sudo apt update
sudo apt upgrade
sudo dpkg -i intel-graphics-update-tool_2.0.4_amd64.deb
sudo apt-get -f install

sudo intel-graphics-update-tool

